Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 21
Registered: ‎07-31-2011
My Device: developer
My Carrier: student
Accepted Solution

error starting application: module 'net_rim_networkapi' not found

hi,
i am doing a blackberry application for my graduation thesis.
for testing the application,  the university gave me a blackberry bold 9000 , firmware v 4.6.0.303, but when i try to start my application, it says "Error starting MyApp : Module 'net_rim_networkapi' not found"
i used the BlackBerry Java SDK  6.0.0.30

Developer
Posts: 16,984
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: error starting application: module 'net_rim_networkapi' not found

the SDK must correspond to the OS of the device.
If you develop for a 4.6 device use the 4.6 SDK
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: error starting application: module 'net_rim_networkapi' not found

Recompile your application using the JED appropriate for your device or earlier.  BB code is forward but not backward compatible so for 4.6, you need to compile using 4.6 or earlier development tool.

 

You may find some facilities that you are using in your OS 6.0 development are not available in OS 4.6.  Sorry about that. 

Developer
Posts: 21
Registered: ‎07-31-2011
My Device: developer
My Carrier: student

Re: error starting application: module 'net_rim_networkapi' not found

thanks for the replies, however my worries are just about something that i use in my application and it's not available in OS 4.6... if i try to install OS 5 and then recompile my application with sdk 5 i'll have less problems? or the differences in terms of java sdk between OS 4.6 and OS 5  are few?

Highlighted
Developer
Posts: 16,984
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: error starting application: module 'net_rim_networkapi' not found

SDK 5 will not help you, unless you upgrade your phone to OS 5 (which is possible).

if you use the default eclipse+plugin you can change the version of the used JRE in the build properties.
if you use any APIs that are 6.0 only you'll have to rework your program - or use a BB with OS 6 or higher.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: error starting application: module 'net_rim_networkapi' not found

I recommend working with OS 5.0.  Upgrade your phone. 

Developer
Posts: 21
Registered: ‎07-31-2011
My Device: developer
My Carrier: student

Re: error starting application: module 'net_rim_networkapi' not found

thanks, unluckily now i have to rewrite part of my application